Carousels
=========

A representation of a carousel, slider or similar construct.
See :ref:`carousel-block`

Usage
-----

You define your carousels in the Snippets > Carousel section of the admin.  Once defined, any page with a body streamfield can show that carousel by selecting it with a carousel block.

Fields
------

Slider
~~~~~~
**Name**: A unique name for your carousel.  It can be anything, it is just used as a personal reference to easily tell them apart.
**Show Controls**: A toggle to determine if the carousel has arrows to control which slide shows.
**Show Indicators**: A toggle to determine if the carousel will show dots at the bottom to indicate how many slides there are.
**Animation**: Determines the type of animation that happens when a slide is transitioned.

Slides
~~~~~~

To add a slide to your carousel, click the "Add Slides" button.

**Image**: The background image you want to use for your slide.  This is optional.  It is recommended to at least set this field or the **Background color** field.
**Background color**: The background color you want to use for your slide.  This is optional.  It is recommended to at lest set this field or the **Image** field.
**Custom CSS class**: If you need to add a specific css class for this slide, add it here.
**Custom ID**: If you need to add a specific ID for this slide, add it here.
**Content**: A streamfield that contains the content blocks for the slide.
